Ginkgo: gko::stop::Criterion Class Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::stop::Criterion Class Referenceabstract

The Criterion class is a base class for all stopping criteria. More...

`#include <ginkgo/core/stop/criterion.hpp>`

Inheritance diagram for gko::stop::Criterion:
[legend]
Collaboration diagram for gko::stop::Criterion:
[legend]

## Classes
class | Updater
| The Updater class serves for convenient argument passing to the Criterion's check function. More...

## Public Member Functions
Updater | update ()
| Returns the updater object.
bool | check (uint8 stopping_id, bool set_finalized, array< stopping_status > *stop_status, bool *one_changed, const Updater &updater)
| This checks whether convergence was reached for a certain criterion.

## Detailed Description

The Criterion class is a base class for all stopping criteria.

It contains a factory to instantiate criteria. It is up to each specific stopping criterion to decide what to do with the data that is passed to it.

Note that depending on the criterion, convergence may not have happened after stopping.

## Member Function Documentation

## ◆ check()

bool gko::stop::Criterion::check | ( | uint8 | stopping_id,
|  | bool | set_finalized,
|  | array< stopping_status > * | stop_status,
|  | bool * | one_changed,
|  | const Updater & | updater )
| inline

This checks whether convergence was reached for a certain criterion.

The actual implantation of the criterion goes here.

Parameters

  stopping_id | id of the stopping criterion
  set_finalized | Controls if the current version should count as finalized or not
  stop_status | status of the stopping criterion
  one_changed | indicates if the status of a vector has changed
  updater | the Updater object containing all the information

Returns
  whether convergence was completely reached

## ◆ update()

Updater gko::stop::Criterion::update | ( |  | ) |
| inline

Returns the updater object.

Returns
  the updater object

The documentation for this class was generated from the following file:

- ginkgo/core/stop/criterion.hpp